Loading...
Searching...
No Matches
XrdOucPsx.cc File Reference
`#include <unistd.h>`
`#include <cctype>`
`#include <cstdio>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include "XrdOuc/XrdOuca2x.hh"`
`#include "XrdOuc/XrdOucCache.hh"`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucN2NLoader.hh"`
`#include "XrdOuc/XrdOucName2Name.hh"`
`#include "XrdOuc/XrdOucPinLoader.hh"`
`#include "XrdOuc/XrdOucPsx.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucTList.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
Include dependency graph for XrdOucPsx.cc:

Go to the source code of this file.

## Macros

#define | Duplicate(x, y)
#define | TS_String(x, m)
#define | TS_Xeq(x, m)

## Macro Definition Documentation

## Duplicate

#define Duplicate | ( |  | x,
|  |  | y )

Value:
if (y) free(y); y = strdup(x)

Definition at line 58 of file XrdOucPsx.cc.

## TS_String

#define TS_String | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) {Duplicate(val,m); return 0;}
Duplicate
#define Duplicate(x, y)
Definition XrdOssConfig.cc:119

Definition at line 60 of file XrdOucPsx.cc.

## TS_Xeq

#define TS_Xeq | ( |  | x,
|  |  | m )

Value:
if (!strcmp(x,var)) return m(&eDest, Config);
eDest
static XrdSysError eDest(0,"crypto_")

Definition at line 62 of file XrdOucPsx.cc.